[library] Enabling vCenter integration disables Ceph for Glance and RadosGW

Bug #1316377 reported by Dmitry Borodaenko on 2014-05-06
30
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Stepan Rogov
5.1.x
Medium
Evgeniya Shumakher
6.0.x
Medium
Stepan Rogov
6.1.x
Medium
Stepan Rogov

Bug Description

If vCenter is selected as Hypervisor, all Ceph options in storage settings are disabled. Only Cinder and Nova options should be disabled, Ceph can still be used as storage backend for Glance and for Swift/S3 object storage.

Dmitry Pyzhov (dpyzhov) on 2014-05-06
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Andrey Danin (gcon-monolake)
Andrey Danin (gcon-monolake) wrote :

We don't have enough human resources to test these changes. Let's postpone it to 5.1.

Changed in fuel:
milestone: 5.0 → 5.1
status: New → Confirmed
Mike Scherbakov (mihgen) on 2014-05-08
tags: added: release-notes
Meg McRoberts (dreidellhasa) wrote :

Listed as "Known Issue" in 5.0 and 5.0.1 Release Notes.

Dmitry Ilyin (idv1985) on 2014-07-15
summary: - Enabling vCenter integration disables Ceph for Glance and RadosGW
+ [puppet] Enabling vCenter integration disables Ceph for Glance and
+ RadosGW
Dmitry Ilyin (idv1985) on 2014-07-15
summary: - [puppet] Enabling vCenter integration disables Ceph for Glance and
+ [library] Enabling vCenter integration disables Ceph for Glance and
RadosGW
Changed in fuel:
assignee: Andrey Danin (gcon-monolake) → Fuel Python Team (fuel-python)

Fix proposed to branch: master
Review: https://review.openstack.org/109884

Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Dmitry Borodaenko (dborodaenko)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/109884
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=a3417bc8f9036239ccdd48e1855e8eee4d55767f
Submitter: Jenkins
Branch: master

commit a3417bc8f9036239ccdd48e1855e8eee4d55767f
Author: Dmitry Borodaenko <email address hidden>
Date: Sun Jul 27 15:11:41 2014 -0700

    allow RadosGW and Ceph/RBD for Glance with vCenter

    Only Ceph storage backends for Cinder and Nova should be disabled when
    vCenter is used as the hypervisor, Ceph can still be used as storage
    backend for Glance and for Swift/S3 object storage.

    Change-Id: I5b77ad0a98673e331a5c3e5e7652c30ae2a96354
    Closes-Bug: #1316377

Changed in fuel:
status: In Progress → Fix Committed
Anastasia Palkina (apalkina) wrote :

"Ceph RadosGW for objects" is locked for vCenter

"build_id": "2014-08-05_02-01-14",
"ostf_sha": "a3fa823ea0e4e03beb637ae07a91adea82c33182",
"build_number": "393",
"auth_required": true,
"api": "1.0",
"nailgun_sha": "5d1e8e38ea3f2cd88ceca8e0927d53e9770598bc",
"production": "docker",
"fuelmain_sha": "6b05280621c23ab158e9943f88b6f71a22fd4c69",
"astute_sha": "99a790ad1b7526cbbd5bf8add0cb2b4e503fccd4",
"feature_groups": ["mirantis"],
"release": "5.1",
"fuellib_sha": "25eb632c70fe0bb3b2c1053314b558a160e4af50"

Changed in fuel:
status: Fix Committed → Confirmed
Julia Aranovich (jkirnosova) wrote :

"Ceph RadosGW for objects" setting depends on active "Ceph RBD for images (Glance)" setting. There is no hypervizor (vCenter) dependencies. So, "Ceph RadosGW for objects" will be unlocked in vCenter env if you check "Ceph RBD for images (Glance)".

Changed in fuel:
status: Confirmed → Fix Committed
Dmitry Borodaenko (angdraug) wrote :

The fix in https://review.openstack.org/109884 was incomplete and required a followup. Julia tried to implement that in https://review.openstack.org/111262. However, as part of a fix for bug #1351288, the latter commit was abandoned and instead, Ceph for Glance was disabled again in https://review.openstack.org/112834.

I don't see any explanation of why that happened, all I can tell is that instead of making it possible to enable Ceph and use it for Glance and RadosGW, we reverted to disabling Ceph altogether when vCenter is enabled.

Changed in fuel:
status: Fix Committed → Confirmed
assignee: Dmitry Borodaenko (dborodaenko) → Vitaly Kramskikh (vkramskikh)
Dmitry Borodaenko (angdraug) wrote :

Given relative unimportance of Ceph to customer who would be installing OpenStack on vCenter, bug downgraded to Medium and postponed to 6.0.

Changed in fuel:
importance: High → Medium
milestone: 5.1 → 6.0
Dmitry Pyzhov (dpyzhov) on 2014-09-04
Changed in fuel:
status: Confirmed → Won't Fix
assignee: Vitaly Kramskikh (vkramskikh) → Evgeniya Shumakher (eshumakher)
Andrey Danin (gcon-monolake) wrote :

Moving to 6.0.1.

Fix proposed to branch: master
Review: https://review.openstack.org/140317

Changed in fuel:
assignee: Evgeniya Shumakher (eshumakher) → Stepan Rogov (srogov)
status: Won't Fix → In Progress
Stepan Rogov (srogov) on 2014-12-09
no longer affects: fuel/6.1.x

Reviewed: https://review.openstack.org/140317
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=bac44d1a21fbc86ccfdea7d3fa2354a5b840e752
Submitter: Jenkins
Branch: master

commit bac44d1a21fbc86ccfdea7d3fa2354a5b840e752
Author: Stepan Rogov <email address hidden>
Date: Tue Dec 9 15:39:37 2014 +0300

    Ceph for Glance and RadosGW choise for vCenter fix

    Fixed condition restrictions for Ceph for Glance and RadosGW
    with vCenter

    Change-Id: Idf3fcb40db8cc77d4a17284329d3082a4236332c
    Closes-Bug: #1316377

Changed in fuel:
status: In Progress → Fix Committed
okosse (okosse) wrote :

I check it on fuel-6.1-82-2015-01-27_22-55-01.iso

Ryan Moe (rmoe) wrote :

Medium priority bugs are not backported to stable releases.

Reviewed: https://review.openstack.org/160697
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=02ae57e0d74f1351e5c530e7acc62e5534d037c9
Submitter: Jenkins
Branch: stable/6.0

commit 02ae57e0d74f1351e5c530e7acc62e5534d037c9
Author: Stepan Rogov <email address hidden>
Date: Tue Mar 3 12:03:08 2015 +0300

    Fixed condition restrictions for Ceph for Glance and RadosGW with vCenter

    Change-Id: I85fb9316edaa9380dba9cb2298511358692d571d
    Closes-Bug: #1316377

Tatyana Dubyk (tdubyk) wrote :

in 6.0.1 (#118 iso)
- role ceph rbd for volumes (cinder) not available, but must be
- role ceph-osd for nodes not available, but must be
- role ceph rbd for image (glance) available
- role ceph rbd for volumes (nova) not available (as expected)

Tatyana Dubyk (tdubyk) wrote :

in 6.0.1 (#127 iso) the same situation. so i can make conclusion that fix is not implemented totally.

Tatyana Dubyk (tdubyk) wrote :

Verified for 6.1 (#182 iso )

Tatyana Dubyk (tdubyk) wrote :

api: '1.0'
astute_sha: 93de472789d9fc351d915e401892c9f792c14ca2
auth_required: true
build_id: 2015-03-11_02-09-40
build_number: '182'
feature_groups:
- mirantis
fuellib_sha: acd7dfb5f93ee0719464d07faf5883ee804a7205
fuelmain_sha: 0f588ec9125cc1f4dd24a07d3bc6903c97b84d27
nailgun_sha: 058d1adef486c116ab8c79379ea6f925db039177
ostf_sha: 8df5f2fcdae3bc9ea7d700ffd64db820baf51914
production: docker
python-fuelclient_sha: 8a292dbdfc3afc1994fd8a81a28903f9a5cca351
release: '6.1'
release_versions:
  2014.2-6.1:
    VERSION:
      api: '1.0'
      astute_sha: 93de472789d9fc351d915e401892c9f792c14ca2
      build_id: 2015-03-11_02-09-40
      build_number: '182'
      feature_groups:
      - mirantis
      fuellib_sha: acd7dfb5f93ee0719464d07faf5883ee804a7205
      fuelmain_sha: 0f588ec9125cc1f4dd24a07d3bc6903c97b84d27
      nailgun_sha: 058d1adef486c116ab8c79379ea6f925db039177
      ostf_sha: 8df5f2fcdae3bc9ea7d700ffd64db820baf51914
      production: docker
      python-fuelclient_sha: 8a292dbdfc3afc1994fd8a81a28903f9a5cca351
      release: '6.1'

Igor Zinovik (izinovik) wrote :

In 6.0.x series it was fixed with this commit https://review.openstack.org/#/c/160697/

tags: added: release-notes-done
removed: release-notes
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers